[SCM] Samba Shared Repository - branch v3-2-test updated - release-3-2-0pre2-3443-g0331720

Michael Adam obnox at samba.org
Wed Feb 11 00:08:07 GMT 2009


The branch, v3-2-test has been updated
       via  0331720a321c849141349eb7982ee83298ec47c1 (commit)
       via  bfa086eef3db925ae32d554dbb7edb0f53df35e2 (commit)
       via  26e6ca1b3e7378d11ad4d6cb17b9f79244fa59b6 (commit)
       via  9e4db632387667b68cb7d7f44c20c67e6ebb9bf7 (commit)
       via  911424facd9227505eb72d11c480b685a130e720 (commit)
       via  84127f881bffebfa666d98636772307b35697270 (commit)
      from  b698559694d3f1799dec290433f75fbb73aceb32 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=v3-2-test


- Log -----------------------------------------------------------------
commit 0331720a321c849141349eb7982ee83298ec47c1
Author: Michael Adam <obnox at samba.org>
Date:   Tue Feb 10 23:52:40 2009 +0100

    packaging: make update-pkginfo callable from any directory
    
    Michael
    (cherry picked from commit 7ea90835ebf6e2f2c6f325760800d8361d087ede)

commit bfa086eef3db925ae32d554dbb7edb0f53df35e2
Author: Michael Adam <obnox at samba.org>
Date:   Fri Sep 12 15:07:00 2008 +0200

    packaging: use "find" instead of "du" to find files... :-)
    
    Michael
    (This used to be commit 768aa82361a2c4b0aab71433b7593723a2868f0a)
    (cherry picked from commit fd7635a1161e25d88a8252a5cf9de70ca2fe4232)

commit 26e6ca1b3e7378d11ad4d6cb17b9f79244fa59b6
Author: Michael Adam <obnox at samba.org>
Date:   Tue Feb 10 23:50:14 2009 +0100

    packaging: remove commented out stuff from update-pkginfo
    
    Michael
    (cherry picked from commit d714e58ec1f74897cd13e7cd9dd9003600052b45)

commit 9e4db632387667b68cb7d7f44c20c67e6ebb9bf7
Author: Michael Adam <obnox at samba.org>
Date:   Tue Feb 10 23:31:52 2009 +0100

    packaging: don't clutter the output of fillup-templates  with popd output
    
    Michael
    (cherry picked from commit 0c711935d30b500a15ef06fd658d382b2c1e2c84)

commit 911424facd9227505eb72d11c480b685a130e720
Author: Michael Adam <obnox at samba.org>
Date:   Tue Feb 10 23:30:48 2009 +0100

    packaging: fix fill-templates call to update-pkginfo to pushd appropriately first
    
    Michael
    (cherry picked from commit c28d4ae537d9fc0b76eae758d32356eaf1113c89)

commit 84127f881bffebfa666d98636772307b35697270
Author: Michael Adam <obnox at samba.org>
Date:   Tue Feb 10 18:54:16 2009 +0100

    packaging: add script fill-templates
    
    This is a standalone-wrapper for update-pkginfo, which is
    usually called from create-tarball. It basically repeats
    some functionality of create-tarball.
    
    Michael
    (cherry picked from commit ca23469a906bab690162184e8d3949897f7b5a67)

-----------------------------------------------------------------------

Summary of changes:
 packaging/bin/fill-templates |   47 ++++++++++++++++++++++++++++++++++++++++++
 packaging/bin/update-pkginfo |   11 ++++++---
 2 files changed, 54 insertions(+), 4 deletions(-)
 create mode 100755 packaging/bin/fill-templates


Changeset truncated at 500 lines:

diff --git a/packaging/bin/fill-templates b/packaging/bin/fill-templates
new file mode 100755
index 0000000..4e1be39
--- /dev/null
+++ b/packaging/bin/fill-templates
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Script to fill the packaging templates with the version
+# information that is created by mkversion in advance.
+#
+# This is a standalone wrapper for update-pkginfo, which
+# is ususally called from release-scripts/create-tarball.
+# This allows for testing some aspects of packaging without
+# the need to go through all of create-tarball.
+#
+# Copyright (C) Michael Adam 2009
+#
+# License: GPL
+
+DIRNAME=$(dirname $0)
+TOPDIR=${DIRNAME}/../../
+SRCDIR=${TOPDIR}/source
+VERSION_H=${SRCDIR}/include/version.h
+
+pushd ${SRCDIR} > /dev/null 2>&1
+./script/mkversion.sh
+popd > /dev/null 2>&1
+
+if [ ! -f ${VERSION_H} ] ; then
+	echo "Error creating version.h"
+	exit 1
+fi
+
+VERSION=`grep SAMBA_VERSION_OFFICIAL_STRING ${VERSION_H} | awk '{print $3}'`
+
+vendor_version=`grep SAMBA_VERSION_VENDOR_SUFFIX ${VERSION_H} | awk '{print $3}'`
+if test "x${vendor_version}" != "x" ; then
+	VERSION="${VERSION}-${vendor_version}"
+fi
+
+vendor_patch=`grep SAMBA_VERSION_VENDOR_PATCH ${VERSION_H} | awk '{print $3}'`
+if test "x${vendor_patch}" != "x" ; then
+	VERSION="${VERSION}-${vendor_patch}"
+fi
+
+VERSION=`echo ${VERSION} | sed 's/\"//g'`
+
+echo "VERSION: ${VERSION}"
+
+pushd ${TOPDIR}/packaging > /dev/null 2>&1
+${TOPDIR}/packaging/bin/update-pkginfo "${VERSION}" 1 ""
+popd > /dev/null 2>&1
diff --git a/packaging/bin/update-pkginfo b/packaging/bin/update-pkginfo
index 020c773..7587f68 100755
--- a/packaging/bin/update-pkginfo
+++ b/packaging/bin/update-pkginfo
@@ -14,10 +14,13 @@ if [ $# -ne 3 ]; then
     echo Usage: update-pkginfo VERSION RELEASE REVISION
     exit 1
 fi
-# PREV=`echo ${REVISION} | sed 's/[^0-9]//g'`
-# PREV="."`echo ${REVISION} | sed 's/[0-9]//g'`".${PREV}"
 
-for f in `du -a | awk '{print $2}' | grep \.tmpl$`; do
+DIRNAME=$(dirname $0)
+TOPDIR=${DIRNAME}/../../
+PACKAGINGDIR=${TOPDIR}/packaging
+
+pushd ${PACKAGINGDIR} > /dev/null 2>&1
+for f in `find . -type f -name "*.tmpl"`; do
         f2=`echo $f | sed s/.tmpl//g`
         echo $f2
         sed -e s/PVERSION/$VERSION/g \
@@ -25,4 +28,4 @@ for f in `du -a | awk '{print $2}' | grep \.tmpl$`; do
 		-e s/PREVISION/${REVISION}/g \
 		-e s/PRPMREV/${RPMREVISION}/g < $f > $f2
 done
-
+popd > /dev/null 2>&1


-- 
Samba Shared Repository


More information about the samba-cvs mailing list